iscsi_context_log_priority_set(3)

NAME
iscsi_context_log_priority_set - Set log priority.

SYNOPSIS
void iscsi_context_log_priority_set (struct iscsi_context *ctx, int priority);

ARGUMENTS

ctx Pointer of 'struct iscsi_context'. If this pointer is NULL, your program will be terminated by assert.

priority
    int, log priority.

DESCRIPTION
When library generates log message, only equal or more important(less value) message will be forwarded to log handler function. Valid log priority values are: * LIBISCSI_LOG_PRIORITY_ERROR -- 3 * LIBISCSI_LOG_PRIORITY_WARNING -- 4 * LIBISCSI_LOG_PRIORITY_INFO -- 6 * LIBISCSI_LOG_PRIORITY_DEBUG -- 7

RETURN
void